Jump to content

Can't get webif installed


Rain724
 Share

Recommended Posts

Hey guys,

My La Fonera 2100 that I ordered ebay just came in the mail. I powered it up, logged into the web interface, and found that it was running 7.0 r4, so I didn't need to use the serial cable I had already made (Yay!). I Enabled SSH, patched the files that needed patching and flashed it with the Jasager 1.0 firmware. When it finished flashing and rebooting, I telnet'ed in, set a root password, started ssh, and SCP'ed haserl, webif, and the xwrt webif theme. Everything was going fine up until this point. Obviously I needed to install haserl, webif, and the webif theme, so I started by typing this:

opkg install haserl_0.9.24-1_mips.ipk

and hit enter. This returned the following error:

opkg: invalid magic

I did some research and found that "invalid magic" means corrupt .ipk, although this cannot be the case. I have have downloaded this file directly from the openwrt website and from the x-wrt website. I am using the correct version (8.09/atheros). Anyone know how to fix this?

Any help would be greatly appreciated.,

Rain

Link to comment
Share on other sites

I did some research and found that "invalid magic" means corrupt .ipk, although this cannot be the case. I have have downloaded this file directly from the openwrt website and from the x-wrt website. I am using the correct version (8.09/atheros).

Have you tried verifying the MD5sum on the file you downloaded to be absolutely sure it was a clean download?

Link to comment
Share on other sites

Ok, for clarification, are you running 8.09 or 8.09.1? I just reflashed to 8.09.1 and installed the latest version of haserl, webif (from x-wrt, the prerelease), libruby, and ruby. I haven't been able to locate new patched madwifi drivers yet (the old jasager-madwifi digininja has up are for the old 7.09 openwrt that's built on an older kernel). I didn't have any trouble with any of the .ipk file installs. Wish I had more ideas to offer, but I'm just now getting myself on the latest version. Was running 7.09 since digininja announced jasager...

Link to comment
Share on other sites

I'm running 8.09. I might have figured out the problem. I have been doing all of this under windows, and I think XP might be messing with the files because I just sent over the nano package from my linux box, and opkg loaded it up and installed it. I am going to reflash, just to start completely fresh, and do the downloading and SCPing from my linux box and see if it makes a difference. I'll let you know what happens. (Thanks for the help, by the way)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...